This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1266704 - Installed kernel updates don't become default in boot loader on MacBook Pro 10,1
Installed kernel updates don't become default in boot loader on MacBook Pro 10,1
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 13:36 EDT by Brion Vibber
Modified: 2016-12-20 09:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:46:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brion Vibber 2015-09-26 13:36:43 EDT
Description of problem:

Kernel updates installed through 'dnf update' on a MacBook Pro 10,1 (mid-2012 15" Retina) appear in the boot loader, but are not selected as the default used to boot. User must manually select the newer kernel with up/down arrows and enter key, or it boots to the originally-installed kernel.


Version-Release number of selected component (if applicable):

kernel 4.2.1-300


How reproducible:

Every time


Steps to Reproduce:
1. Install Fedora 23 beta on a MacBook Pro
2. Install updates via 'dnf update' that include a kernel update
3. Reboot machine


Actual results:
Newer kernel (eg 4.2.1-300) is an option, but not selected by default on the boot loader screen. Older kernel (eg 4.2.0-300) is still selected as default.


Expected results:
Newer kernel should be the default.

Additional info:
Comment 1 Fedora End Of Life 2016-11-24 07:37:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 09:46:20 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.